package kr.co.uplus.ez;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class Scheduler {
	
	private static final Logger log = LoggerFactory.getLogger(Scheduler.class);

	/**
	 * 스케줄러 트리거는 해당영역에 선언 / 서비스영역은 별도 
	 */
	@Scheduled(initialDelay = 60000, fixedRateString = "${schedule.sample.init:60000}")
	public void init() {
		// 스케줄 서비스 정의
		log.info("schduler trigger");
	}
}
